/**
 * date-time-picker-trigger.directive
 */
import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { OwlDateTimeComponent } from './date-time-picker.component';
export declare class OwlDateTimeTriggerDirective<T> implements OnInit, OnChanges, AfterContentInit, OnDestroy {
    protected changeDetector: ChangeDetectorRef;
    dtPicker: OwlDateTimeComponent<T>;
    private stateChanges;
    constructor(changeDetector: ChangeDetectorRef);
    private _disabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    get owlDTTriggerDisabledClass(): boolean;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    handleClickOnHost(event: Event): void;
    private watchStateChanges;
}
